Listar capturas de un payin
curl --request GET \
--url https://api.qbank.cl/platform/v1/payins/{payinID}/captures \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qbank.cl/platform/v1/payins/{payinID}/captures"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qbank.cl/platform/v1/payins/{payinID}/captures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/payins/{payinID}/captures",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/payins/{payinID}/captures"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.qbank.cl/platform/v1/payins/{payinID}/captures")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/payins/{payinID}/captures")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"page": 1,
"page_size": 50,
"total": 1,
"captures": [
{
"id": "7c8d9e0f-1a2b-4c3d-8e9f-0a1b2c3d4e5f",
"charge_id": "5f6a7b8c-9d0e-4f1a-2b3c-4d5e6f7a8b9c",
"kind": "capture",
"status": "completed",
"amount": "10000",
"provider_ticket": "710000000000123",
"idempotency_key": "capture-order-8842",
"created_at": "2026-11-05T13:10:00Z"
}
],
"payin_id": "d0135ed5-8e9c-4f8b-a522-8ec100470426"
}{
"error": "unauthorized",
"message": "invalid or missing credentials"
}{
"error": "not_found",
"message": "resource not found"
}Listar capturas de un payin
Historial de capturas del payin. Paginado (page, page_size).
GET
/
v1
/
payins
/
{payinID}
/
captures
Listar capturas de un payin
curl --request GET \
--url https://api.qbank.cl/platform/v1/payins/{payinID}/captures \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qbank.cl/platform/v1/payins/{payinID}/captures"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qbank.cl/platform/v1/payins/{payinID}/captures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/payins/{payinID}/captures",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/payins/{payinID}/captures"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.qbank.cl/platform/v1/payins/{payinID}/captures")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/payins/{payinID}/captures")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"page": 1,
"page_size": 50,
"total": 1,
"captures": [
{
"id": "7c8d9e0f-1a2b-4c3d-8e9f-0a1b2c3d4e5f",
"charge_id": "5f6a7b8c-9d0e-4f1a-2b3c-4d5e6f7a8b9c",
"kind": "capture",
"status": "completed",
"amount": "10000",
"provider_ticket": "710000000000123",
"idempotency_key": "capture-order-8842",
"created_at": "2026-11-05T13:10:00Z"
}
],
"payin_id": "d0135ed5-8e9c-4f8b-a522-8ec100470426"
}{
"error": "unauthorized",
"message": "invalid or missing credentials"
}{
"error": "not_found",
"message": "resource not found"
}Autorizaciones
Respuesta
Página de capturas.
The response is of type object.